• Customermates Logo
    CustomermatesDocumentation
  • Einführung
  • Vergleich
Erste Schritte
  • Quickstart
  • Kernkonzepte
  • Von Pipedrive
KI verbinden
  • Claude Code verbinden
  • Claude Desktop verbinden
  • Codex verbinden
  • Cursor verbinden
  • Gemini verbinden
  • ChatGPT verbinden
Integrationen
  • MCP
  • Webhooks
  • OpenAPI 3.1.0
  • N8N
Self-Hosting
  • Get Started
  • Architektur & Sicherheit
Reference
  • MCP-Tool-Katalog
  • Filter-Syntax
  • API-Keys
  • Zurück
  1. Einführung
  2. OpenAPI 3.1.0
OverviewContact CreatedWEBHOOKContact DeletedWEBHOOKContact UpdatedWEBHOOKCreate a contactPOSTCreate a dealPOSTCreate a servicePOSTCreate a taskPOSTCreate an organizationPOSTCreate many contactsPOSTCreate many dealsPOSTCreate many organizationsPOSTCreate many servicesPOSTCreate many tasksPOSTDeal CreatedWEBHOOKDeal DeletedWEBHOOKDeal UpdatedWEBHOOKDelete a contactDELETEDelete a dealDELETEDelete a serviceDELETEDelete a taskDELETEDelete an organizationDELETEDelete many contactsDELETEDelete many dealsDELETEDelete many organizationsDELETEDelete many servicesDELETEDelete many tasksDELETEGet a contact by IDGETGet a deal by IDGETGet a service by IDGETGet a task by IDGETGet an organization by IDGETGet contactsPOSTGet contacts configurationGETGet dealsPOSTGet deals configurationGETGet organizationsPOSTGet organizations configurationGETGet own user profileGETGet servicesPOSTGet services configurationGETGet tasksPOSTGet tasks configurationGETGet usersPOSTOrganization CreatedWEBHOOKOrganization DeletedWEBHOOKOrganization UpdatedWEBHOOKService CreatedWEBHOOKService DeletedWEBHOOKService UpdatedWEBHOOKTask CreatedWEBHOOKTask DeletedWEBHOOKTask UpdatedWEBHOOKUpdate a contactPUTUpdate a dealPUTUpdate a servicePUTUpdate a taskPUTUpdate an organizationPUTUpdate many contactsPUTUpdate many dealsPUTUpdate many organizationsPUTUpdate many servicesPUTUpdate many tasksPUT

Update an organization

Updates an existing organization. Only provided fields are updated. Set fields to null to clear them.

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Path Parameters

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "notes": {},
  "createdAt": "string",
  "updatedAt": "string",
  "contacts": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "firstName": "string",
      "lastName": "string"
    }





























"string"
"string"
"string"
"string"
PUT
/v1/organizations/{id}
id*string
Formatuuid
curl -X PUT "https://customermates.com/api/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
],
"users": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"avatarUrl": "string",
"email": "user@example.com"
}
],
"deals": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
}
],
"tasks": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "userPendingAuthorization"
}
],
"customFieldValues": [
{
"columnId": "b0676e1a-d8a0-4c5f-99e7-a0ee8909f6dd",
"value": "string"
}
]
}
name?string
Length1 <= length
notes?|

Markdown content

contactIds?array<>|
userIds?array<>|
dealIds?array<>|
taskIds?array<>|
customFieldValues?array<>|